SysObjs=C:\Ic35sdk\CCTools\Rom
TemplateLink=C:\Ic35sdk\CCTools\Template
IntermediateDir=.\Z80Debug
OutputDir=.\Z80_Out
OutputName=App.rom
OutputFile=$(OutputDir)\$(OutputName)

DefineMacro=
IncludeDir=C:\IC35SDK\INCLUDE\ 
Compiler=Lance
CompileOption= -I$(IncludeDir) -O$(IntermediateDir) -oc -B
Linker=Link80

LINK_OBJS= \
	$(IntermediateDir)\Data.obj \
	$(IntermediateDir)\konst.obj \
	$(IntermediateDir)\main.obj \
	$(IntermediateDir)\math.obj


DEF_FILE= \
	"App.lnk" \
	"App.sep" \
	"App.epp"

ALL :"AddFarcall""$(OutputDir)\App.rom"
"$(OutputDir)" :
	@if not exist "$(OutputDir)/$(NULL)" mkdir "$(OutputDir)"

!IF "$(OutputDir)" != "$(IntermediateDir)"
"$(IntermediateDir)":
	@if not exist "$(IntermediateDir)/$(NULL)" mkdir "$(IntermediateDir)"
!ENDIF

"AddFarcall" :
	-downcall app.afc /t
	@echo .

"$(OutputDir)\App.rom" : "$(OutputDir)" $(DEF_FILE) $(LINK_OBJS)
	@echo Step 1: Linking...
	@$(Linker) app

	@echo Step 2: Check if the memory in one bank is full?
	@check8 $(OutputDir)\app.map
	@echo !

	@echo Step 3: Seperate to Binary in each bank ...
	@sep00 $(OutputDir)\app.hex app.sep
	@echo !

	@echo Step 4: Merge to one ROM Code (app.rom) ...
	@file_epp app.epp $(OutputDir)\app.rom


SourceFile = $(SRCDIR)\$(SOURCE).$(SRCEXT)
ObjectFile = $(IntermediateDir)\$(SOURCE).obj

SRCDIR=.
SOURCE=main
SRCEXT=tmp
DEP_MAIN= \
	"C:\IC35SDK\INCLUDE\ic35sdk.h" \
	".\ic35math.h" \
	"C:\IC35SDK\INCLUDE\type.h" \
	"C:\IC35SDK\INCLUDE\key.h" \
	"C:\IC35SDK\INCLUDE\tcpip.h" \
	"C:\IC35SDK\INCLUDE\uart.h" \
	"C:\IC35SDK\INCLUDE\sc.h" \
	"C:\IC35SDK\INCLUDE\mmc.h"
"$(IntermediateDir)\main.obj" : $(SourceFile) $(DEP_MAIN) "$(IntermediateDir)"
	@if exist "$(IntermediateDir)\main.obj" erase "$(IntermediateDir)\main.obj"
	@echo $(SOURCE).c
	@$(Compiler) $(CompileOption) $(SourceFile)
	@del $(SourceFile)

SRCDIR=.
SOURCE=math
SRCEXT=tmp
DEP_MATH= \
	".\ic35math.h" \
	"C:\IC35SDK\INCLUDE\ic35sdk.h" \
	"C:\IC35SDK\INCLUDE\type.h" \
	"C:\IC35SDK\INCLUDE\key.h" \
	"C:\IC35SDK\INCLUDE\tcpip.h" \
	"C:\IC35SDK\INCLUDE\uart.h" \
	"C:\IC35SDK\INCLUDE\sc.h" \
	"C:\IC35SDK\INCLUDE\mmc.h"
"$(IntermediateDir)\math.obj" : $(SourceFile) $(DEP_MATH) "$(IntermediateDir)"
	@if exist "$(IntermediateDir)\math.obj" erase "$(IntermediateDir)\math.obj"
	@echo $(SOURCE).c
	@$(Compiler) $(CompileOption) $(SourceFile)
	@del $(SourceFile)

SRCDIR=.
SOURCE=konst
SRCEXT=tmp
DEP_KONST=
"$(IntermediateDir)\konst.obj" : $(SourceFile) "$(IntermediateDir)"
	@if exist "$(IntermediateDir)\konst.obj" erase "$(IntermediateDir)\konst.obj"
	@echo $(SOURCE).c
	@$(Compiler) $(CompileOption) $(SourceFile)
	@del $(SourceFile)

SRCDIR=.
SOURCE=Data
SRCEXT=c
DEP_DATA= \
	"C:\IC35SDK\INCLUDE\Ic35sdk.h" \
	"C:\IC35SDK\INCLUDE\type.h" \
	"C:\IC35SDK\INCLUDE\key.h" \
	"C:\IC35SDK\INCLUDE\tcpip.h" \
	"C:\IC35SDK\INCLUDE\uart.h" \
	"C:\IC35SDK\INCLUDE\sc.h" \
	"C:\IC35SDK\INCLUDE\mmc.h"
"$(IntermediateDir)\Data.obj" : $(SourceFile) $(DEP_DATA) "$(IntermediateDir)"
	@if exist "$(IntermediateDir)\Data.obj" erase "$(IntermediateDir)\Data.obj"
	@echo $(SOURCE).c
	@$(Compiler) $(CompileOption) $(SourceFile)
